#!/bin/sh
# Define which version of the sequencer to use \
  exec seqWish "$0"  ${1+"$@"}
#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: astoControl.pan,v 1.1 2004/09/06 14:47:13 cguirao Exp $" 
#
# astoControl.pan
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 4.25
#   date   : Tue Dec 21 14:21:00 MET 1999
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------
#
global par gvar cv bcv actAreaHeight shArea panClassLib 
global geoCmdReply panClassLib panUsrProcs panUsrLib
global argv0 env panWidget panWidgetHlp panDbData cwp ckHeartBeat
global menu menuBar menuHelp ckMenuBar ckActBut ckShHelp ckCCS
# 
#  Get directory root of VLT, integration, current module. 
global VLTROOT INTROOT HOME

if {[catch {set VLTROOT $env(VLTROOT)}]} {set VLTROOT dummy}
if {[catch {set INTROOT $env(INTROOT)}]} {set INTROOT dummy}
if {[catch {set HOME    $env(HOME)}   ]} {set HOME    dummy}
# 
set gvar(args) $argv

# Set auto_path 
# 

if { [file exist ../lib/libpanPublic.tcl] } { 
   lappend auto_path ../lib/libpanPublic.tcl
} elseif { [file exist $INTROOT/lib/libpanPublic.tcl ] } { 
   lappend auto_path $INTROOT/lib/libpanPublic.tcl
} elseif { [file exist $VLTROOT/lib/libpanPublic.tcl ] } { 
   lappend auto_path $VLTROOT/lib/libpanPublic.tcl 
} else {
   puts stderr "panel EXITS : Tcl library libpanPublic.tcl not found " 
   exit 1
}

#
# Link panel to user libraries 
#
set panUsrLib   {libastoLib }  
set panClassLib {}

panSetAutoPath  $panUsrLib $panClassLib 

if {[info exists EDITING]} { 
   set panRoot .astoControl 
   set panUsrProcs {astoControlInit astoControlExit astoControlInitData astoControlGlobalData}
   set argc 0 ; set argv {}
} else {
   set par(MY_NAME) [file tail $argv0] 
   set EDITING 0
   set tk_strictMotif 0
   setPublicVar
   set panRoot . 
}

# User's Global Data 
# It contains definitions of constant data

proc astoControlGlobalData {} {

 # Declare any variable as global

   global  astoCV

 # Variable Initialization

 #  set <var> <value> ; # comment ..
}



# User's Init Data : called just after panInit
# It contains data to be defined before widgets are created

proc astoControlInitData {} {

 # Declare global variables

   global gvar
#return
setOptions
}



# User's Init Procedure : called in panMainStart
# It is executed after the widgets have been created

proc astoControlInit {} {

 # Declare global variables

   global gvar cv

 # User Initialization
#set gvar(iqImage0) [image create photo -file [findVLTFile bitmaps/Ingest-Queue-0.gif] -palette 256]
#set gvar(forceImageGray) [image create photo -file [findVLTFile bitmaps/gray-force-q.gif] -palette 7/7/4]
#set gvar(forceImageGreen) [image create photo -file [findVLTFile bitmaps/green-force-q.gif] -palette 7/7/4 -gamma 100]
#set gvar(iqImage3) [image create photo -file [findVLTFile bitmaps/Ingest-Queue-3.gif] -palette 256]

#set createImage [image create photo -file $gvar(imageForce)]
#$cv.forceLabelWdg component uifBitmap configure -image  $gvar(forceImageGray)
[$cv.astoVolumeWindow component uifFancyListBox] configure -font 9x15
[$cv.astoRequestWindow component uifFancyListBox] configure -font 9x15
#return
astoInitX
}



#
#-----------------------------------------------
#            Widget Definition  
#-----------------------------------------------
# 

set ckHeartBeat   0 ;# Enable Heart-beat
set ckShHelp      1 ;# Set Short Help
set ckActBut      0 ;# Set Action Button Area
set ckMenuBar     1 ;# Setup Menu Bar
set ckCCS         0 ;# Initialize CCS
set ckCmdReply    0 ;# Display Cmd. Reply
set cwp           "" ;# Set Current Working Point
set actAreaHeight 5; # Set height of action area 

panReadOption winter
panCreateFrame astoControl ;# Create empty frame
panGetCvNames  astoControl cv bcv ;# Get Canvas Names
panInit        $argc $argv astoControl ;# Initialization



UifButton          $cv.astoControlMediamakeWdg -canvasAnchor nw  \
                  -command mediaMake -initialState normal  \
                  -label MediaMake -popup 0  \
                  -stateVar gvar(astoControl-wdg14Var) -width 14 
UifButton          $cv.astoControlQueueWdg -canvasAnchor nw  \
                  -command {set gvar(manualQueue) 1; manualQueue}  \
                  -initialState normal -label Queue -popup 0  \
                  -stateVar gvar(astoControl-wdg11Var) -width 14 
UifButton          $cv.astoControlUnqueueWdg -canvasAnchor nw  \
                  -command manualUnqueue -initialState normal  \
                  -label Unqueue -popup 0  \
                  -stateVar gvar(astoControl-wdg5Var) -width 14 
UifButton          $cv.astoControlUpdateWdg -canvasAnchor nw  \
                  -command astoStatus -initialState normal -label Update  \
                  -popup 0 -stateVar gvar(astoControl-wdg11Var)  \
                  -width 14 
UifButton          $cv.astoForceWdg -canvasAnchor nw  \
                  -command {set gvar(manualQueue) 2; manualQueue}  \
                  -initialState normal -label {Force Queue} -popup 0  \
                  -stateVar gvar(astoControl-wdg13Var) -width 14 
UifOutput          $cv.astoRequestHdrWdg -anchor w -canvasAnchor nw  \
                  -color Black -font -Adobe-courier-medium-r-normal--14*  \
                  -frame 0  \
                  -labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-*  \
                  -labelWidth 0 -variable gvar(astoRequestHdr) -width 55 
UifFancyListBox    $cv.astoRequestWindow -activebackground Black  \
                  -background Gray80 -borderwidth 2  \
                  -font -Adobe-helvetica-medium-r-normal--14*  \
                  -geometry 55x6 -height 7 -initialState normal  \
                  -relief sunken -scrollx 1 -scrolly 1  \
                  -selectmode single -variable gvar(astoQueueList)  \
                  -wrap char 
UifOutput          $cv.astoVolumeHdrWdg -anchor w -canvasAnchor nw  \
                  -color Black -font -Adobe-courier-medium-r-normal--14*  \
                  -frame 0  \
                  -labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-*  \
                  -labelWidth 0 -variable gvar(astoVolumeHdr) -width 55 
UifFancyListBox    $cv.astoVolumeWindow -activebackground Black  \
                  -background Gray80 -borderwidth 2  \
                  -font -Adobe-helvetica-medium-r-normal--24*  \
                  -geometry 55x5 -height 12 -initialState normal  \
                  -relief sunken -scrollx 1 -scrolly 1  \
                  -selectmode single -variable gvar(astoVolList)  \
                  -wrap none 
UifButton          $cv.mediaCleanupButtonWdg -canvasAnchor nw  \
                  -command {set gvar(manualCleanup) 1; manualCleanup}  \
                  -initialState normal -label Cleanup -popup 0  \
                  -stateVar gvar(astoControl-wdg13Var) -width 14 

#
#  Canvas Items
#


#
# Set Widget Configuration
#
set panWidget(astoControlMediamakeWdg)  {UifButton 43 443 1 0 0 0 0 {} 0 {}}
set panWidget(astoControlQueueWdg)  {UifButton 39 168 1 0 0 0 0 {} 0 {}}
set panWidget(astoControlUnqueueWdg)  {UifButton 211.99999999999997 443.99999999999994 1 0 0 0 0 {} 0 {}}
set panWidget(astoControlUpdateWdg)  {UifButton 379 167 1 0 0 0 0 {} 0 {}}
set panWidget(astoForceWdg)  {UifButton 207.99999999999997 167.99999999999997 1 0 0 0 0 {} 0 {}}
set panWidget(astoRequestHdrWdg)  {UifOutput 11 11 1 0 0 0 0 astoRequestHdr 0 {} {}}
set panWidget(astoRequestWindow)  {PubClass 12 36 1 0 {$env(INTROOT)/lib} nw 0 {} 0}
set panWidget(astoVolumeHdrWdg)  {UifOutput 11 211 1 0 0 0 0 astoVolumeHdr 0 {} {}}
set panWidget(astoVolumeWindow)  {PubClass 11 235 1 0 {$env(INTROOT)/lib} nw 0 {} 0}
set panWidget(mediaCleanupButtonWdg)  {UifButton 367.99999999999994 443.99999999999994 1 0 0 0 0 {} 0 {}}

#
# Set Database Configuration
#

#
# Set Short Help for each widget
#
set panWidgetHlp(astoControlMediamakeWdg)  {Cut a CD}
set panWidgetHlp(astoControlQueueWdg)  {Queue files and create a new volume.}
set panWidgetHlp(astoControlUnqueueWdg)  {Unqueue data. (delete the volume(s)).}
set panWidgetHlp(astoControlUpdateWdg)  {Update the listboxes by querying the database.}
set panWidgetHlp(astoForceWdg)  {Create a volume even if there is less than 100%}
set panWidgetHlp(mediaCleanupButtonWdg)  {Cleanup all data associated with a volume.}

#
#-----------------------------------------------
#           Menu Bar Definition  
#-----------------------------------------------
# 

set menu(0) {{File } 0 file {}}
set menu(1) {Options 0 options {}}
set menu(2) {Subscribe 0 subscribe {}}


# Add MenuButton <File > 

set mb [addMenuButton $menuBar file "File " 0 left]

# Menu  

addMenuCmd $mb "Quit" 0 {astoClosePanel}

# Add MenuButton <Options> 

set mb [addMenuButton $menuBar options "Options" 0 left]

# Menu  

addMenuCmd $mb "Manually Ingest Queue" 0 {set gvar(manualIngest) 1; manualIngest}
addMenuCmd $mb "astoIngest Volumes" 0 {astoIngestVol}
$mb add separator
addMenuCk $mb "Automatic Update" 0 {if {$gvar(autoStatus)} { disableUpdateButtons } else { enableUpdateButtons }} gvar(autoStatus)
addMenuCk $mb "Automatic Queue" 0 {if {$gvar(autoQueue)} { disableQueueButtons } else { enableQueueButtons }} gvar(autoQueue)
addMenuCk $mb "Automatic Write" 0 {if {$gvar(autoWrite)} { disableWriteButtons } else { enableWriteButtons }} gvar(autoWrite)
$mb add separator

# Add MenuButton <Subscribe> 

set mb [addMenuButton $menuBar subscribe "Subscribe" 0 left]

# Menu  

addMenuCmd $mb "New dhsSubscriber" 0 {newdhs}

#
#-----------------------------------------------
#           Menu Help Definition  
#-----------------------------------------------
# 

set menuHelp(.astoControl.topMenu.menu.options.menu) { \
    {} {Ingest the complete queue (mediaIngest)}  \
    {Insert the CDs in the asto database.} {}  \
    {Automatically update the windows.}  \
    {Automatically generate volumes from queues.} {Automatically write a CD} {}  \
} 


#
#-----------------------------------------------
#            Create the Panel  
#-----------------------------------------------
#

wm geometry  $panRoot 537x552
wm title     $panRoot "astoControl"
set par(TITLE) "astoControl" 

panMainStart  astoControl $argc $argv

#--------------------    End of Main   --------------------



#####################################################
#           Definition of Local Procedures
#####################################################


proc astoControlExit {} {

 # Declare global variables

#   global <var>

 # Statements to be executed when exiting
}
