#!/bin/sh
# Define which version of the sequencer to use \
  exec seqWish "$0"  ${1+"$@"}
#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: astoIngestVol.pan,v 1.1 2004/09/06 14:47:13 cguirao Exp $" 
#
# astoIngestVol.pan
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 4.25
#   date   : Fri Dec 10 13:18:20 MET 1999
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------
#
global par gvar cv bcv actAreaHeight shArea panClassLib 
global geoCmdReply panClassLib panUsrProcs panUsrLib
global argv0 env panWidget panWidgetHlp panDbData cwp ckHeartBeat
global menu menuBar menuHelp ckMenuBar ckActBut ckShHelp ckCCS
# 
#  Get directory root of VLT, integration, current module. 
global VLTROOT INTROOT HOME

if {[catch {set VLTROOT $env(VLTROOT)}]} {set VLTROOT dummy}
if {[catch {set INTROOT $env(INTROOT)}]} {set INTROOT dummy}
if {[catch {set HOME    $env(HOME)}   ]} {set HOME    dummy}
# 
# Set auto_path 
# 

if { [file exist ../lib/libpanPublic.tcl] } { 
   lappend auto_path ../lib/libpanPublic.tcl
} elseif { [file exist $INTROOT/lib/libpanPublic.tcl ] } { 
   lappend auto_path $INTROOT/lib/libpanPublic.tcl
} elseif { [file exist $VLTROOT/lib/libpanPublic.tcl ] } { 
   lappend auto_path $VLTROOT/lib/libpanPublic.tcl 
} else {
   puts stderr "panel EXITS : Tcl library libpanPublic.tcl not found " 
   exit 1
}

#
# Link panel to user libraries 
#
set panUsrLib   libastoLib  
set panClassLib {}

panSetAutoPath  $panUsrLib $panClassLib 

if {[info exists EDITING]} { 
   set panRoot .astoIngestVol 
   set panUsrProcs {astoIngestVolInit astoIngestVolExit astoSelectAll astoClearAll astoIngestVolInitData}
   set argc 0 ; set argv {}
} else {
   set par(MY_NAME) [file tail $argv0] 
   set EDITING 0
   set tk_strictMotif 0
   setPublicVar
   set panRoot . 
}

# User's Init Data : called just after panInit
# It contains data to be defined before widgets are created

proc astoIngestVolInitData {} {

 # Declare global variables

   global <var>

 # Statements to be executed when exiting
}



# User's Init Procedure : called in panMainStart
# It is executed after the widgets have been created

proc astoIngestVolInit {} {

global gvar cv


set w $cv.astoIngestVolWdg
$w configure -selectmode multiple
#bind .select <Control-a> "astoSelectAll $w"
$w setBind <Control-a> "astoSelectAll $w"
$w setBind <Control-w> "astoClearAll $w"
#return
ingestVolInitX
}



#
#-----------------------------------------------
#            Widget Definition  
#-----------------------------------------------
# 

set ckHeartBeat   0 ;# Enable Heart-beat
set ckShHelp      1 ;# Set Short Help
set ckActBut      0 ;# Set Action Button Area
set ckMenuBar     0 ;# Setup Menu Bar
set ckCCS         0 ;# Initialize CCS
set ckCmdReply    0 ;# Display Cmd. Reply
set cwp           "" ;# Set Current Working Point
set actAreaHeight 5; # Set height of action area 

panReadOption winter
panCreateFrame astoIngestVol ;# Create empty frame
panGetCvNames  astoIngestVol cv bcv ;# Get Canvas Names
panInit        $argc $argv astoIngestVol ;# Initialization



UifButton          $cv.astoIngestVol-wdg1 -canvasAnchor nw  \
                  -command astoIngestVolExit -initialState normal  \
                  -label Quit -popup 0  \
                  -stateVar gvar(astoIngestVol-wdg3Var) -width 10 
UifButton          $cv.astoIngestVol-wdg2 -canvasAnchor nw  \
                  -command statusIngestVol -initialState normal  \
                  -label Status -popup 0  \
                  -stateVar gvar(astoIngestVol-wdg6Var) -width 10 
UifListBox         $cv.astoIngestVolWdg -canvasAnchor nw -default 0  \
                  -font 9x15 -geometry 45x10 -scrollx 1 -scrolly 1  \
                  -selectmode multiple -variable gvar(astoIngestVol) 
UifButton          $cv.ingestVolButtonWdg -canvasAnchor nw  \
                  -command ingestVol -initialState normal  \
                  -label {Ingest Vol} -popup 0  \
                  -stateVar gvar(astoIngestVol-wdg2) -width 10 
UifOutput          $cv.ingestVolHeaderWdg -anchor w -canvasAnchor nw  \
                  -color Black -font 9x15 -frame 0  \
                  -labelFont {Helvetica -12 bold} -labelWidth 0  \
                  -variable gvar(ingestVolHeader) -width 45 
UifOutput          $cv.ingestVolStatusWdg -anchor w -canvasAnchor nw  \
                  -color Black -font 9x15 -frame 0  \
                  -labelFont {Helvetica -12 bold} -labelWidth 0  \
                  -variable gvar(ingestVolStatus) -width 31 

#
#  Canvas Items
#


#
# Set Widget Configuration
#
set panWidget(astoIngestVol-wdg1)  {UifButton 348 272 1 0 0 0 0 astoIngestVol-wdg3Var 0 {}}
set panWidget(astoIngestVol-wdg2)  {UifButton 184.0 272.0 1 0 0 0 0 astoIngestVol-wdg6Var 0 {}}
set panWidget(astoIngestVolWdg)  {UifListBox 16 36 1 0 0 0 0 astoIngestVol 0 {}}
set panWidget(ingestVolButtonWdg)  {UifButton 16 272 1 0 0 0 0 astoIngestVol-wdg2 0 {}}
set panWidget(ingestVolHeaderWdg)  {UifOutput 16 12 1 0 0 0 0 ingestVolHeader 0 {} {}}
set panWidget(ingestVolStatusWdg)  {UifOutput 15.999999999999993 244.0 1 0 0 0 0 ingestVolStatus 0 {} {}}

#
# Set Database Configuration
#

#
# Set Short Help for each widget
#

#
#-----------------------------------------------
#            Create the Panel  
#-----------------------------------------------
#

wm geometry  $panRoot 450x362
wm title     $panRoot "ASTO Ingest Vol"
set par(TITLE) "ASTO Ingest Vol" 

panMainStart  astoIngestVol $argc $argv

#--------------------    End of Main   --------------------



#####################################################
#           Definition of Local Procedures
#####################################################


proc astoIngestVolExit {} {

 # Declare global variables

   global gvar

 # Statements to be executed when exiting
panClosePanel no .astoIngestVol
}


proc astoSelectAll {w} {
	global gvar cv


$w configure -selectmode multiple
$w setSelection ALL
}


proc astoClearAll {w} {
	global gvar cv


$w configure -selectmode multiple
$w clearSelection
}
