#!/bin/csh -f


set OS=`uname -s`
switch ($OS)
  case HP-UX:
    set RSH='remsh'
    breaksw
  case Linux:
    set RSH='rsh'
    breaksw
  default:
    echo "Unknown OS=$OS"
    exit 1
endsw

if ( $#argv < 2 ) then
  echo "Usage: loop.sh VCM|LS|UT1|UT2|UT3|UT4|VLTI|DFO|PARANAL command"
  echo "Usage: loop.sh OLAS|OFFLINE|PIPELINE|ASTO command"
  exit 1
endif


set remote_user
if ( "$1" == "-l" ) then
  set remote_user="-l $2"
  shift
  shift
endif

set ARG1=$1
shift

set bon =  "[1m"
set boff = "[0m"
set noglob =  1

switch (${ARG1})
   case VLTI:
      set LIST = ( wvgdhs wvgpl wvgarc )
      breaksw
   case VCM:
      set LIST = ( wu0dhs wg0arc wg0off wg0dbp wu0pl wu0oh )
      breaksw
   case LS:
      set LIST = ( wg5pl wg5oh w3p6pl w3p6oh )
      breaksw
   case UT1:
      set LIST = ( wu1dhs wgsoff1 wu1pl  )
      breaksw
   case UT2:
      set LIST = ( wu2dhs wgsoff2 wu2pl  )
      breaksw
   case UT3:
      set LIST = ( wu3dhs wgsoff3 wu3pl  )
      breaksw
   case UT4:
      set LIST = ( wu4dhs wgsoff4 wu4pl  )
      breaksw
   case ASTO:
      set LIST = ( wgsarc wvgarc )
      breaksw
   case OLAS:
      set LIST = ( wu1dhs wu2dhs wu3dhs wu4dhs wvgdhs )
      breaksw
   case PIPELINE:
      set LIST = ( wu1pl wu2pl wu3pl wu4pl wvgpl )
      breaksw
   case OFFLINE:
      set LIST = ( wgsoff1 wgsoff2 wgsoff3 wgsoff4 wvgoff )
      breaksw
   case DFO:
      set LIST = ( dfotest dfo00 dfo01 dfo02 dfo03 dfo04 dfo05 dfo06 dfo07 dfo08 )
      breaksw
   case PARANAL:
      set LIST = ( wu1dhs wu1pl wgsoff1 wu2dhs wu2pl wgsoff2 wu3dhs wu3pl wgsoff3 wgsoff3 wu4dhs wu4pl wgsoff4 wgsarc wvgdhs wvgpl wvgoff wvgarc )
      breaksw
   default:
      echo "Usage: loop.sh VCM|LS|UT1|UT2|UT3|UT4|VLTI|DFO|PARANAL command"
      echo "Usage: loop.sh OLAS|OFFLINE|PIPELINE|ASTO command"
      exit 1
endsw

foreach machine (${LIST})
	echo "$bon$machine $boff"
	$RSH $machine $remote_user -n $*
end
