Dictionary Name:   ESO-VLT-DIC.ISS
Scope:             VLTI
Source:            slxMakeDictionary
Version Control:   @(#) Id: ESO-VLT-DIC.ISS,v 1.24 2004/01/13 08:58:21 vltsccm Exp $
Revision:          1.0
Date:              2000-10-03
Status:            Draft
Description:       Dictionary for VLTI

Parameter Name:    ISS ALT
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              deg
Comment Format:    Altitude angles at start
Description:       Reflects altitude angle for all VLTI telescopes

Parameter Name:    ISS AZ
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              deg
Comment Format:    Azimuth angles at start 
Description:       Reflects azimuth angle for all VLTI telescopes (S=0, W=90)

Parameter Name:    ISS REF RA
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.2f
Unit:              
Comment Format:    Reference Alpha as given by user 
Description:       These are the coordinates supplied by the user, not necessarily where telescope is pointing

Parameter Name:    ISS REF DEC
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.2f
Unit:              
Comment Format:    Reference Delta as given by user 
Description:       These are the coordinates supplied by the user, not necessarily where telescope is pointing

#GEO

Parameter Name:    ISS GEOELEV
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.4f
Unit:              m
Comment Format:    VLTI site elevation
Description:       VLTI site elevation above sea level (UVW zero point)                            The reference point is located between UT1 and UT2

Parameter Name:    ISS GEOLAT
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.4f
Unit:              deg
Comment Format:    VLTI site latitude
Description:       VLTI site geographic latitude (+=North) (UVW zero point)                        The reference point is located between UT1 and UT2

Parameter Name:    ISS GEOLON
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.4f
Unit:              deg
Comment Format:    VLTI site longitude
Description:       VLTI site geographic longitude (+=East) (UVW zero point)                        The reference point is located between UT1 and UT2

Parameter Name:    ISS OPER
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %s
Unit:              
Comment Format:    Name of VLTI operator
Description:       NTT is I. Condor, VLT is I. Condor and VLTI is I I Condor

#PARANG

Parameter Name:    ISS PARANG END
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              deg
Comment Format:    Parallactic angle at end                 
Description:       Reflects parallactic angle for all VLTI telescopes at end

Parameter Name:    ISS PARANG START
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              deg
Comment Format:    Parallactic angle at start    
Description:       Reflects parallactic angle for all VLTI telescopes at start

#AIRM

Parameter Name:    ISS AIRM END
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              
Comment Format:    Airmass at end   
Description:       Reflects airmass for all VLTI telescopes

Parameter Name:    ISS AIRM START
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              
Comment Format:    Airmass at start   
Description:       Reflects airmass for all VLTI telescopes

# AMBI

Parameter Name:    ISS AMBI FWHM START
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.2f
Unit:              arcsec
Comment Format:    Observatory seeing
Description:	   Observatory seeing at start

Parameter Name:    ISS AMBI FWHM END
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.2f
Unit:              arcsec
Comment Format:    Observatory seeing
Description:	   Observatory seeing at end

Parameter Name:    ISS AMBI TAU0 START
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.6f
Unit:              seconds
Comment Format:    Coherence time
Description:	   Coherence time as computed by ASM

Parameter Name:    ISS AMBI TAU0 END
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.6f
Unit:              seconds
Comment Format:    Coherence time
Description:	   Coherence time as computed by ASM

Parameter Name:    ISS AMBI TEMP
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.2f
Unit:              C
Comment Format:    Observatory ambient temperature.
Description:	

Parameter Name:    ISS AMBI RHUM
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.f
Unit:              percentage
Comment Format:    Relative humidity
Description:	   Observatory ambient relative humidity

Parameter Name:    ISS AMBI WINDDIR
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.f
Unit:              deg
Comment Format:    Wind direction
Description:	   Observatory wind direction (N=0 E=90)

Parameter Name:    ISS AMBI WINDSP
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.2f
Unit:              m/s
Comment Format:    Observatory wind speed
Description:	   Observatory wind speed

Parameter Name:    ISS AMBI PRES
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.2f
Unit:              hPa
Comment Format:    Observatory ambient air pressure
Description:	   Temporal mean of site barometric air pressure measured with sensor at ground level.

Parameter Name:    ISS AMBI TEMPDEW
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.2f
Unit:              C
Comment Format:    Observatory ambient dew temperature
Description:	   Temporal mean of site ambient dew temperature measured at sensor position i = 1/2 in 30m/2m height.

#TRAK

Parameter Name:    ISS TRAK STATUS
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:              
Comment Format:    Tracking status
Description:       Trackning status (OFF, NORMAL, DIFFERENTIAL) Reflects all VLTI telescopes

Parameter Name:    ISS TRAK RATEA
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.6f
Unit:              arcsec/sec
Comment Format:    Tracking rate in RA
Description:       Absolute tracking rate in RA (only if DIFFERENTIAL) Reflects all VLTI telescopes

Parameter Name:    ISS TRAK RATED
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.6f
Unit:              arcsec/sec
Comment Format:    Tracking rate in DEC
Description:       Absolute tracking rate in DEC (only if DIFFERENTIAL)                            Reflects all VLTI telescopes

#CHOP

Parameter Name:    ISS CHOP ST
Class:             header
Context:           VLTI control
Type:              string
Value Format:      %10s
Unit:              
Comment Format:    Chopping status
Description:       True when chopping is active or nulling.                                        False when chopping is inactive or undefined

Parameter Name:    ISS CHOP FREQ
Class:             header
Context:           VLTI control
Type:              double
Value Format:      %.6f
Unit:              Hz
Comment Format:    Frequency of cycle 
Description:       Frequency of chopping cycle (only if CHOP TRUE) Reflects all VLTI telescopes

Parameter Name:    ISS CHOP THROW
Class:             header
Context:           VLTI control
Type:              double
Value Format:      %.1f
Unit:              arcsec
Comment Format:    Amplitude of chopping 
Description:       Amplitude of chopping (only if CHOP TRUE) Reflects all VLTI telescopes

Parameter Name:    ISS CHOP PVRATIO
Class:             header
Context:           VLTI control
Type:              double
Value Format:      %.2f
Unit:              ratio
Comment Format:    Peak-to-valley ratio 
Description:       Peak-to-valley ratio (0.67 - 1.50) (only if CHOP TRUE)                          Reflects all VLTI telescopes

Parameter Name:    ISS CHOP POSANG
Class:             header
Context:           VLTI control
Type:              double
Value Format:      %.3f
Unit:              deg
Comment Format:    Orientation on sky
Description:       Orientation on sky (0 - 359.999, N=0 E=90) (only if CHOP TRUE)                  Reflects all VLTI telescopes

Parameter Name:    ISS CHOP OFFSCHOP
Class:             header
Context:           VLTI control
Type:              double
Value Format:      %.2f
Unit:              arcsec
Comment Format:    Offset
Description:       Offset in direction of chop for phi (-15.0 to +15.0) (only if CHOP TRUE)        Reflects all VLTI telescopes

Parameter Name:    ISS CHOP NULLING
Class:             setup|header
Context:           VLTI Control
Type:              string
Value Format:      %c
Unit:              
Comment Format:    Out of phase chopping
Description:       Out of phase (180 deg) chopping (T or F) (only if CHOP TRUE)                    Two telescopes chop with 180 deg phase shift

#PUPIL

Parameter Name:    ISS PUPIL 1U
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.4f
Unit:              m
Comment Format:    U location output pupil beam 1
Description:       U location output pupil beam 1

Parameter Name:    ISS PUPIL 1V
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.4f
Unit:              m
Comment Format:    V location output pupil beam 1
Description:       V location output pupil beam 1

Parameter Name:    ISS PUPIL 1W
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.4f
Unit:              m
Comment Format:    W location output pupil beam 1
Description:       W location output pupil beam 1

Parameter Name:    ISS PUPIL 2U
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.4f
Unit:              m
Comment Format:    U location output pupil beam 2
Description:       U location output pupil beam 2

Parameter Name:    ISS PUPIL 2V
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.4f
Unit:              m
Comment Format:    V location output pupil beam 2
Description:       V location output pupil beam 2

Parameter Name:    ISS PUPIL 2W
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.4f
Unit:              m
Comment Format:    W location output pupil beam 2
Description:       W location output pupil beam 2

Parameter Name:    ISS PUPIL 3U
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.4f
Unit:              m
Comment Format:    U location output pupil beam 3
Description:       U location output pupil beam 3 (only if VLTI uses more than two telescopes)

Parameter Name:    ISS PUPIL 3V
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.4f
Unit:              m
Comment Format:    V location output pupil beam 3
Description:       V location output pupil beam 3 (only if VLTI uses more than two telescopes)

Parameter Name:    ISS PUPIL 3W
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.4f
Unit:              m
Comment Format:    W location output pupil beam 3
Description:       W location output pupil beam 3 (only if VLTI uses more than two telescopes)

#ID

Parameter Name:    ISS ID
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %30s
Unit:              
Comment Format:    ISS version string
Description:       cmm version number of the integration module issBUILD

Parameter Name:    ISS DID
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %30s
Unit:              
Comment Format:    Data dictionary name
Description:       Data dictionary name for ISS

Parameter Name:    ISS DATE
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:              
Comment Format:    VLTI release version and date
Description:       VLTI release version and date

#CONF

Parameter Name:    ISS CONF NTEL
Class:             header|setup
Context:           VLTI Control
Type:              integer
Value Format:      %d
Unit:              
Comment Format:    Number of telescopes used
Description:       Number of telescopes used by VLTI

Parameter Name:    ISS CONF T1X
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.4f
Unit:              m
Comment Format:    Relative X coordinate
Description:       Relative X coordinate for VLTI telescope 1

Parameter Name:    ISS CONF T1Y
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.4f
Unit:              m
Comment Format:    Relative Y coordinate
Description:       Relative Y coordinate for VLTI telescope 1

Parameter Name:    ISS CONF T1Z
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.4f
Unit:              m
Comment Format:    Relative Z coordinate
Description:       Relative Z coordinate for VLTI telescope 1

Parameter Name:    ISS CONF T1NAME 
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:              
Comment Format:    Telescope name
Description:       Telescope name for VLTI telescope 1

Parameter Name:    ISS CONF STATION1 
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:              
Comment Format:    Station of telescope 1
Description:       Station of telescope 1

Parameter Name:    ISS CONF DL1
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:              
Comment Format:    Delay line used
Description:       Delay line used by VLTI telescope 1

Parameter Name:    ISS CONF INPUT1
Class:             header
Context:           VLTI Control
Type:              integer
Value Format:      %d
Unit:              
Comment Format:    Input channel in lab
Description:       Input channel in lab of telescope 1 beam

Parameter Name:    ISS CONF SWYARD1
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:              
Comment Format:    Switchyard configuration
Description:       Switchyard configuration for channel 1

Parameter Name:    ISS CONF INPUT12
Class:             header
Context:           VLTI Control
Type:              integer
Value Format:      %d
Unit:              
Comment Format:    Input channel in lab of secondary beam
Description:       Input channel in lab of telescope 1 secondary beam (only if PRIMA)

Parameter Name:    ISS CONF SWYARD12
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:              
Comment Format:    Switchyard config for channel 1 secondary beam 
Description:       Switchyard config for channel 1 secondary beam (only if PRIMA)

Parameter Name:    ISS CONF T2X
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.4f
Unit:              m
Comment Format:    Relative X coordinate
Description:       Relative X coordinate for VLTI telescope 2

Parameter Name:    ISS CONF T2Y
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.4f
Unit:              m
Comment Format:    Relative Y coordinate
Description:       Relative Y coordinate for VLTI telescope 2

Parameter Name:    ISS CONF T2Z
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.4f
Unit:              m
Comment Format:    Relative Z coordinate
Description:       Relative Z coordinate for VLTI telescope 2

Parameter Name:    ISS CONF T2NAME 
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:              
Comment Format:    Telescope name
Description:       Telescope name for VLTI telescope 2       

Parameter Name:    ISS CONF STATION2 
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:              
Comment Format:    Station of telescope 2
Description:       Station of telescope 2

Parameter Name:    ISS CONF DL2
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:              
Comment Format:    Delay line used
Description:       Delay line used by telescope 2

Parameter Name:    ISS CONF INPUT2
Class:             header
Context:           VLTI Control
Type:              integer
Value Format:      %d
Unit:              
Comment Format:    Input channel in lab
Description:       Input channel in lab of telescope 2 beam

Parameter Name:    ISS CONF SWYARD2
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:              
Comment Format:    Switchyard configuration
Description:       Switchyard configuration for channel 2

Parameter Name:    ISS CONF INPUT22
Class:             header
Context:           VLTI Control
Type:              integer
Value Format:      %d
Unit:              
Comment Format:    Input channel in lab of secondary beam
Description:       Input channel in lab of telescope 2 secondary beam (only if PRIMA)

Parameter Name:    ISS CONF SWYARD22
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:              
Comment Format:    Switchyard config for secondary beam
Description:       Switchyard config for channel 2 secondary beam (only if PRIMA)

Parameter Name:    ISS CONF T3X
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.4f
Unit:              m
Comment Format:    Relative X coordinate
Description:       Relative X coordinate for VLTI telescope 3 (only if NTEL>2)

Parameter Name:    ISS CONF T3Y
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.4f
Unit:              m
Comment Format:    Relative Y coordinate
Description:       Relative Y coordinate for VLTI telescope 3 (only if NTEL>2)

Parameter Name:    ISS CONF T3Z
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.4f
Unit:              m
Comment Format:    Relative Z coordinate
Description:       Relative Z coordinate for VLTI telescope 3 (only if NTEL>2)

Parameter Name:    ISS CONF T3NAME 
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:              
Comment Format:    Telescope name
Description:       Telescope name for VLTI telescope 3

Parameter Name:    ISS CONF STATION3 
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:              
Comment Format:    Station of telescope 3
Description:       Station of telescope 3 (only if NTEL>2)

Parameter Name:    ISS CONF DL3
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:              
Comment Format:    Delay line used
Description:       Delay line used by telescope 3 (only if NTEL>2)

Parameter Name:    ISS CONF INPUT3
Class:             header
Context:           VLTI Control
Type:              integer
Value Format:      %d
Unit:              
Comment Format:    Input channel in lab
Description:       Input channel in lab of telescope 3 beam (only if NTEL>2)

Parameter Name:    ISS CONF SWYARD3
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:              
Comment Format:    Switchyard configuration
Description:       Switchyard configuration for channel 3 (only if NTEL>2)

Parameter Name:    ISS CONF INPUT32
Class:             header
Context:           VLTI Control
Type:              integer
Value Format:      %d
Unit:              
Comment Format:    Input channel in lab of secondary beam
Description:       Input channel in lab of telescope 3 secondary beam (only if NTEL>2 and PRIMA)

Parameter Name:    ISS CONF SWYARD32
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:              
Comment Format:    Switchyard config for secondary beam
Description:       Switchyard config for channel 3 secondary beam (only if NTEL>2 and PRIMA)

#TEMP
 
Parameter Name:    ISS TEMP LAB1
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              C 
Comment Format:    Temp in lab
Description:       Temperature in lab (sensor 1)

Parameter Name:    ISS TEMP LAB2
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              C 
Comment Format:    Temp in lab
Description:       Temperature in lab (sensor 2)

Parameter Name:    ISS TEMP LAB3
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              C 
Comment Format:    Temp in lab eastern wall
Description:       Temperature in lab (sensor 3)

Parameter Name:    ISS TEMP LAB4
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              C 
Comment Format:    Temp in lab 
Description:       Temperature in lab (sensor 4)

Parameter Name:    ISS TEMP TUN1
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              C 
Comment Format:    Temp in tunnel A west
Description:       Temperature in tunnel (sensor 12)

Parameter Name:    ISS TEMP TUN2
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              C
Comment Format:    Temp in tunnel centre
Description:       Temperature in tunnel (sensor 5)

Parameter Name:    ISS TEMP TUN3
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              C
Comment Format:    Temp in tunnel centre
Description:       Temperature in tunnel (sensor 13)

Parameter Name:    ISS TEMP TUN4
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              C
Comment Format:    Temp in tunnel L east
Description:       Temperature in tunnel (sensor 18)
 
#Projected baselines

Parameter Name:    ISS PBL12 END
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              m
Comment Format:    Projected baseline T1 T2 at end   
Description:       Reflects the projected baseline as function of alt and az

Parameter Name:    ISS PBL12 START
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              m
Comment Format:    Projected baseline T1 T2 at start   
Description:       Reflects the projected baseline as function of alt and az

Parameter Name:    ISS PBL13 END
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              m
Comment Format:    Projected baseline T1 T3 at end   
Description:       Reflects the projected baseline as function of alt and az (only in NTEL>2)

Parameter Name:    ISS PBL13 START
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              m
Comment Format:    Projected baseline T1 T3 at start   
Description:       Reflects the projected baseline as function of alt and az (only in NTEL>2)

Parameter Name:    ISS PBL23 END
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              m
Comment Format:    Projected baseline T2 T3 at end   
Description:       Reflects the projected baseline as function of alt and az (only in NTEL>2)

Parameter Name:    ISS PBL23 START
Class:             header
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              m
Comment Format:    Projected baseline T2 T3 at start   
Description:       Reflects the projected baseline as function of alt and az (only in NTEL>2)

#setup

Parameter Name:    ISS DATA SAMPRATE
Class:             setup
Context:           VLTI Control
Type:              double
Value Format:      %.2f
Unit:              seconds
Comment Format:    Sampling rate
Description:       Sampling rate for data in binary FITS table (AO and FSU). Max 100 Hz.           Frequency will be modified to a multiple of the control loop

Parameter Name:    ISS TIME LSTMIN
Class:             setup
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:              
Comment Format:    Minimum local sidereal time
Description:       Minimum local sidereal time when to observe.                                    If specified validated by ISS, but cause no action

Parameter Name:    ISS TIME LSTMAX
Class:             setup
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:              
Comment Format:    Maximum local sidereal time
Description:       Maximum local sidereal time when to observe.                                    If specified validated by ISS, but cause no action

Parameter Name:    ISS CONF LOCT1
Class:             setup
Context:           VLTI Control
Type:              string
Value Format:      %2s
Unit:              
Comment Format:    Location of telescope 1
Description:       Location of telescope 1 (if specified checked by ISS).                          If specified validated by ISS, but cause no action

Parameter Name:    ISS CONF LOCT2
Class:             setup
Context:           VLTI Control
Type:              string
Value Format:      %2s
Unit:              
Comment Format:    Location of telescope 2 
Description:       Location of telescope 2 (if specified checked by ISS).                          If specified validated by ISS, but cause no action

Parameter Name:    ISS CONF LOCT3
Class:             setup
Context:           VLTI Control
Type:              string
Value Format:      %2s
Unit:              
Comment Format:    Location of telescope 3 
Description:       Location of telescope 3 (if specified checked by ISS).                          If specified validated by ISS, but cause no action

Parameter Name:    ISS LEO LAMP
Class:             setup|header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:
Comment Format:    ARAL LEO calibration lamp (NONE or name)
Description:       ARAL assembly for all calibration lamps

Parameter Name:    ISS LEO OPTI1 NAME
Class:             setup|header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:
Comment Format:    ARAL LEO beam splitter A (OUT, AUTOTEST, AUTOCOLL)
Description:       ARAL LEO beam splitter sky, autocollimation or autotest

Parameter Name:    ISS LEO OPTI2 NAME
Class:             setup|header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:
Comment Format:    ARAL LEO beam splitter B (OUT, AUTOTEST, AUTOCOLL)
Description:       ARAL LEO beam splitter sky, autocollimation or autotest

Parameter Name:    ISS IAS OPTI3 NAME
Class:             setup|header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:
Comment Format:    ARAL IAS ALI1 slide position (OUT, BEAM_B_TCCD, SHUTTER)
Description:       ARAL IAS slider to direct beam to TCCD

Parameter Name:    ISS IAS OPTI4 NAME
Class:             setup|header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:
Comment Format:    ARAL IAS ALI5 slide position (OUT, BEAM_A_TCCD, SHUTTER)
Description:       ARAL IAS slider to direct beam to TCCD

Parameter Name:    ISS IAS OPTI6 NAME
Class:             setup|header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:
Comment Format:    ARAL IAS TCCD lens and focus setting
Description:       ARAL IAS TCCD assembly

Parameter Name:    ISS IAS FOCU1 POS
Class:             setup
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              mm
Comment Format:    ARAL IAS TCCD focus position
Description:       ARAL IAS TCCD focus position (infinity ~ 22.4 mm)

Parameter Name:    ISS IAS MIRR9 NAME
Class:             setup|header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:
Comment Format:    ARAL IAS ALI slide position (OUT, BEAM_A, BEAM_B)
Description:       ARAL IAS slider to select beam A or B to TCCD

Parameter Name:    ISS ARAL MIRR10 NAME
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:
Comment Format:    ARAL VINCI feeding optics beam A (FREE,MIRR,DICHR)
Description:       ARAL VINCI feeding optics

Parameter Name:    ISS ARAL MIRR11 NAME
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:
Comment Format:    ARAL VINCI feeding optics beam B (FREE,MIRR,DICHR)
Description:       ARAL VINCI feeding optics

Parameter Name:    ISS ARAL MIRR12 NAME
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:
Comment Format:    ARAL MIDI feeding optics rot beam A (FREE,MIRR,DICHR1,DICHR2)
Description:       ARAL MIDI feeding optics

Parameter Name:    ISS ARAL MIRR13 NAME
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:
Comment Format:    ARAL MIDI feeding optics rot beam B (FREE,MIRR,DICHR1,DICHR2)
Description:       ARAL MIDI feeding optics

Parameter Name:    ISS ARAL MIRR14 NAME
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:
Comment Format:    ARAL MIDI feeding optics trans beam A (IN,OUT)
Description:       ARAL MIDI feeding optics

Parameter Name:    ISS ARAL MIRR15 NAME
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:
Comment Format:    ARAL MIDI feeding optics trans beam B (IN,OUT)
Description:       ARAL MIDI feeding optics

Parameter Name:    ISS ARAL MIRR16 NAME
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:
Comment Format:    ARAL Finito feeding optics A (FREE,MIRR,DICHR)
Description:       ARAL Finito feeding optics

Parameter Name:    ISS ARAL MIRR17 NAME
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:
Comment Format:    ARAL Finito feeding optics B (FREE,MIRR,DICHR)
Description:       ARAL Finito feeding optics

Parameter Name:    ISS ARAL MIRR18 NAME
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:
Comment Format:    ARAL Finito feeding optics C (FREE,MIRR,DICHR)
Description:       ARAL Finito feeding optics

Parameter Name:    ISS ARAL MIRR19 NAME
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:
Comment Format:    ARAL Amber feeding optics A (FREE,DICHR)
Description:       ARAL Amber feeding optics

Parameter Name:    ISS ARAL MIRR20 NAME
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:
Comment Format:    ARAL Amber feeding optics B (FREE,DICHR)
Description:       ARAL Amber feeding optics

Parameter Name:    ISS ARAL MIRR21 NAME
Class:             header
Context:           VLTI Control
Type:              string
Value Format:      %10s
Unit:
Comment Format:    ARAL Amber feeding optics C (FREE,DICHR)
Description:       ARAL Amber feeding optics



# ---------------------------------------------------------------------
# Added fits ops-log keywords as defined in DD (awa 17/9/01).
# ---------------------------------------------------------------------

Parameter Name:    ISS ARRAY ARM
Class:             ops-log
Context:           VLTI Control
Type:              string
Value Format:      %s
Unit:              
Comment Field:     VLTI array configuration
Description:       Configuration of active VLTI arms. 

Parameter Name:    ISS PRESET START
Class:             ops-log
Context:           VLTI Control
Type:              string
Value Format:      %s
Unit:
Comment Field:     Initiate new VLTI position
Description:       This action is logged only when a change of status in the tracking software is made to state PRESETTING (UC 10.2)

Parameter Name:    ISS PRESET RADEC
Class:             ops-log
Context:           VLTI Control
Type:              string
Value Format:      %s
Unit:              
Comment Field:     Target position RA and DEC
Description:       This position is logged only on change due to a new preset

Parameter Name:    ISS RA
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.6f
Unit:              deg
Comment Field:     %HOURANG actual VLTI pos RA J2000
Description:       This position is logged only on change due to a new preset (UC 10.2)

Parameter Name:    ISS DEC
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.6f
Unit:              deg
Comment Field:     %DEGREE actual VLTI pos DEC J2000
Description:       This position is logged only on change due to a new preset (UC 10.2)

Parameter Name:    ISS OFFSET Ui
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.1f
Unit:              
Comment Field:     Offset applied to beam in U
Description:       The UVW offset applied to the VLTI beam number with OFFSGUV command (UC 10.4)

Parameter Name:    ISS OFFSET Vi
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.1f
Unit:              
Comment Field:     Offset applied to beam in U
Description:       The UVW offset applied to the VLTI beam number with OFFSGUV command (UC 10.4)

Parameter Name:    ISS OFFSET Wi
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.1f
Unit:              
Comment Field:     Offset applied to beam in U
Description:       The UVW offset applied to the VLTI beam number with OFFSGUV command (UC 10.4)

Parameter Name:    ISS IAS REFPIXXi
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.2f
Unit:              
Comment Field:     Reference pixel X for beam used by IAS
Description:       Reference pixel X used by IAS. Index gives beam number. (UC 12.1, 12.3)

Parameter Name:    ISS IAS REFPIXYi
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.2f
Unit:              
Comment Field:     Reference pixel Y for beam used by IAS
Description:       Reference pixel Y used by IAS. Index gives beam number. (UC 12.1, 12.3)

Parameter Name:    ISS IAS ERRVECXi
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              
Comment Field:     Error vector X in pixels for beam detected by IAS
Description:       Error vector in X detected by IAS. Index gives beam number. (UC 12.1, 12.3)

Parameter Name:    ISS IAS ERRVECYi
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              
Comment Field:     Error vector Y in pixels for beam detected by IAS
Description:       Error vector in Y detected by IAS. Index gives beam number. (UC 12.1, 12.3)

Parameter Name:    ISS IAS XLEOA
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              
Comment Field:     Leo light arm A detected by IAS on X pixel.
Description:       TCCD X coordinate from WAITPIC command. (UC 12.2)

Parameter Name:    ISS IAS YLEOA
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              
Comment Field:     Leo light arm A detected by IAS on Y pixel.
Description:       TCCD Y coordinate from WAITPIC command. (UC 12.2)

Parameter Name:    ISS IAS XLEOB
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              
Comment Field:     Leo light arm B detected by IAS on X pixel.
Description:       TCCD X coordinate from WAITPIC command. (UC 12.2)

Parameter Name:    ISS IAS YLEOB
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              
Comment Field:     Leo light arm B detected by IAS on Y pixel.
Description:       TCCD Y coordinate from WAITPIC command. (UC 12.2)

Parameter Name:    ISS IAS XACOLA
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              
Comment Field:     Autocollimation light arm A detected by IAS on X pixel.
Description:       TCCD X coordinate from WAITPIC command. (UC 12.2)

Parameter Name:    ISS IAS YACOLA
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              
Comment Field:     Autocollimation light arm A detected by IAS on Y pixel.
Description:       TCCD Y coordinate from WAITPIC command. (UC 12.2)

Parameter Name:    ISS IAS XACOLB
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              
Comment Field:     Autocollimation light arm B detected by IAS on X pixel.
Description:       TCCD X coordinate from WAITPIC command. (UC 12.2)

Parameter Name:    ISS IAS YACOLB
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              
Comment Field:     Autocollimation light arm B detected by IAS on Y pixel.
Description:       TCCD Y coordinate from WAITPIC command. (UC 12.2)

Parameter Name:    ISS IAS XSTELA
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              
Comment Field:     Stellar light arm A detected by IAS on X pixel.
Description:       TCCD X coordinate from WAITPIC command. (UC 12.2)

Parameter Name:    ISS IAS YSTELA
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              
Comment Field:     Stellar light arm A detected by IAS on Y pixel.
Description:       TCCD Y coordinate from WAITPIC command. (UC 12.2)

Parameter Name:    ISS IAS XSTELB
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              
Comment Field:     Stellar light arm B detected by IAS on X pixel.
Description:       TCCD X coordinate from WAITPIC command. (UC 12.2)

Parameter Name:    ISS IAS YSTELB
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              
Comment Field:     Stellar light arm B detected by IAS on Y pixel.
Description:       TCCD Y coordinate from WAITPIC command. (UC 12.2)

# ---------------------------------------------------------------------
# Obsolete (?) ops-log keywords below
# ---------------------------------------------------------------------

Parameter Name:    ISS IAS REFPIX
Class:             ops-log
Context:           VLTI Control
Type:              string
Value Format:      %s
Unit:              
Comment Field:     Reference pixel used by IAS
Description:       String beam, X, Y to describe used IAS reference pixel (UC 12.1, 12.3)

Parameter Name:    ISS IAS ERRVEC
Class:             ops-log
Context:           VLTI Control
Type:              string
Value Format:      %s
Unit:              
Comment Field:     Error vector in pixels detected by IAS
Description:       String beam, X, Y to describe IAS error vector in pixel (UC 12.1, 12.3)

Parameter Name:    ISS OFFSET UVW
Class:             ops-log
Context:           VLTI Control
Type:              string
Value Format:      %s
Unit:              
Comment Field:     Offset applied in UVW
Description:       The UVW offset applied to the VLTI beam number with OFFSGUV command (UC 10.4)

Parameter Name:    ISS OFFSET BEAM
Class:             ops-log
Context:           VLTI Control
Type:              integer
Value Format:      %d
Unit:              
Comment Field:     Offset applied in VLTI Beam
Description:       The offset applied to the VLTI beam number with OFFSGUV command (UC 10.4)

Parameter Name:    ISS OFFSET U
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              arcsec
Comment Field:     Offset applied in U
Description:       The offset applied to beam before ISS transformation (UC 10.4)

Parameter Name:    ISS OFFSET V
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              arcsec
Comment Field:     Offset applied in V
Description:       The offset applied to beam before ISS transformation (UC 10.4)

Parameter Name:    ISS OFFSET W
Class:             ops-log
Context:           VLTI Control
Type:              double
Value Format:      %.3f
Unit:              arcsec
Comment Field:     Offset applied in W
Description:       The offset applied to beam before ISS transformation (UC 10.4)

