package org.eso.ohs.core.dbb.sql;

// $Id: DbbSqlListener.java,v 1.1 2004/02/17 11:16:24 tcanavan Exp $

import java.util.EventListener;

/**
 * DbbSqlListener is the interface defining the generic behavior of
 * all the objects registered for receiving DbbQuery events.
 *
 * @author Carlo Boarotto, ESO 19-Jul-1999
 */
public interface DbbSqlListener extends EventListener {

  /** 
   * SQL start event handler.
   * @param ev	DbbQueryStarted event.
   */
  public void sqlStartAction(DbbQueryStarted ev);
  
  /** 
   * SQL count event handler.
   * @param ev	DbbCountStarted event.
   */
  public void sqlCountAction(DbbCountStarted ev);
  
  /** 
   * SQL stop event handler.
   * @param ev	DbbQueryStopped event.
   */
   public void sqlStopAction(DbbQueryStopped ev);

  /** 
   * SQL stop event handler.
   * @param ev	DbbQueryReset event.
   */
   public void sqlResetAction(DbbQueryReset ev);
}

