package org.eso.ohs.core.gui.widgets;

import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.image.BufferedImage;

import javax.swing.JPanel;

public class JPEGPanel extends JPanel {

    protected BufferedImage m_bi = null;

    public JPEGPanel() {
    }

    public void setBufferedImage(BufferedImage bi) {

        if (bi == null)
            return;

        m_bi = bi;

        Dimension d = new Dimension(m_bi.getWidth(this), m_bi.getHeight(this));

        setPreferredSize(d);

        revalidate();

        repaint();

    }

    public void paintComponent(Graphics g) {

        super.paintComponent(g);

        Dimension d = getSize();

        g.setColor(getBackground());

        g.fillRect(0, 0, d.width, d.height);

        if (m_bi != null) {
            System.out.println("Drawing Images");
            g.drawImage(m_bi, 0, 0, this);
        }

    }

    public BufferedImage getBufferedImage() {

        return m_bi;

    }

}
