/*
 * Created by amchavan on Sep 23, 2004
 */

package org.eso.ohs.core.utilities.cvsproxy;
import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.Font;

import javax.swing.BorderFactory;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

/**
 * A JFrame with a scrolled JTextArea inside. 
 * 
 * @version $Revision: 1.2 $
 * @author amchavan, 07-Jul-2004
 */

// $Id: ScrolledTextWindow.java,v 1.2 2004/12/21 11:08:38 amchavan Exp $

public class ScrolledTextWindow {

    private JTextArea textArea;

    private JFrame frame;

    public ScrolledTextWindow() {
        JPanel panel = new JPanel();
        
        panel.setLayout( new BorderLayout() );

        //Create a text area.
        textArea = new JTextArea();
        textArea.setFont( new Font( "Courier", Font.PLAIN, 12 ) );
//        textArea.setLineWrap( true );
//        textArea.setWrapStyleWord( true );
        JScrollPane areaScrollPane = new JScrollPane( textArea );
        areaScrollPane
                .setVerticalScrollBarPolicy( JScrollPane.VERTICAL_SCROLLBAR_ALWAYS );
        areaScrollPane.setPreferredSize( new Dimension( 550, 250 ) );
        areaScrollPane.setBorder( BorderFactory.createCompoundBorder(
                BorderFactory.createCompoundBorder( BorderFactory
                        .createTitledBorder( "CVS messages" ), BorderFactory
                        .createEmptyBorder( 5, 5, 5, 5 ) ), areaScrollPane
                        .getBorder() ) );

        //Put everything together.
        JPanel leftPane = new JPanel( new BorderLayout() );
        leftPane.add( areaScrollPane, BorderLayout.CENTER );

        panel.add( leftPane, BorderLayout.LINE_START );

        //Create and set up the window.
        frame = new JFrame( "CVS console" );
        frame.setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );

        //Create and set up the content pane.
        panel.setOpaque( true ); //content panes must be opaque
        frame.setContentPane( panel );

        // Done
        frame.pack();
    }
    
    /** @return Returns the frame. */
    public JFrame getFrame() {
        return frame;
    }
    
    /** @return Returns the text area. */
    public JTextArea getTextArea() {
        return textArea;
    }
    
    /**
     * Releases all of the native screen resources used by this
     * ScrolledTextWindow, its subcomponents, and all of its owned children.
     * That is, the resources for these Components will be destroyed, any memory
     * they consume will be returned to the OS, and they will be marked as
     * undisplayable.
     * <BR>
     * This ScrolledTextWindow should not be used after calling this method.
     *  
     */
    public void dispose() {
        frame.dispose();
    }
}