package org.eso.ohs.dfs;



/**
 * $Id: Phase1Target.java,v 1.4 2005/05/31 13:07:34 fsogni Exp $
 * 
 * <p>
 * <br>
 * @author Bob Kemp
 */

public class Phase1Target extends BusinessObject {

  
	private static final int DEFAULT_EQUINOX = 2000;
	private int targetId_ = 0;
	private int timeOnTarget_ = 0;
  
	private long progId_ = 0;
	
	private String refStar_ = "";
	
	/** The right ascension of the target, in std notation */
	private long ra_ = 0;
	
	/** The right ascension of the target as it is defined in the proposal */
	private String raString_ = "";

	/** The declination of the target, in std notation */
	private long dec_ = 0;
	
	/** The declination of the target as it is defined in the proposal */
	private String decString_ = "";


    /**
     * Reference system for the coordinates.
     * Stored as a letter followed by 4 digits.
     */
    private double equinox_ = DEFAULT_EQUINOX;

    /**
     *  Information provided by the Target author to the observer
     */
    private String userComments_ = "";


	private String runReferences_ = "";
	private String itemName_ = "";
	private String diameter_ = "";
	private String magnitude_ = "";
	
    public Phase1Target() {
    }

    /**
     * Set new value for ra_ property
     *
     * @param newValue the new value for the property
     */
    public void setRa(long ra) {
        ra_ = ra;
        firePropertyChangeEvent();
    }
    
    /**
     * Set new value for raString_ property
     * 
     * @param set the new value for the right ascension (as it is defined in the proposal) 
     * 
     */
    public void setRaString(String raString) {
    	
    	raString_ = raString;
    	firePropertyChangeEvent();
    }
    
    

    /**
     * Get value for ra_ property
     *
     * @return the current value of the property
     */
    public long getRa() {
        return ra_;
    }
    
    /**
     * Get value for raString_ property
     *
     * @return the current value of the property
     */
    public String getRaString() {
        return raString_;
    }
    

    /**
     * Set new value for dec_ property
     *
     * @param newValue the new value for the property
     */
    public void setDeclination(long dec) {
        dec_ = dec;
        firePropertyChangeEvent();
    }

    /**
     * Set new value for decString_ property (as it is defined in the proposal)
     *
     * @param newValue the new value for the property
     */
    public void setDeclinationString(String decString) {
        decString_ = decString;
        firePropertyChangeEvent();
    }
    
    
    /**
     * Get value for dec_ property
     *
     * @return the current value of the property
     */
    public long getDeclination() {
        return dec_;
    }
	
    /**
     * Get value for decString_ property
     *
     * @return the current value of the property
     */
    public String getDeclinationString() {
        return decString_;
    }
    
	/**
	 * Set new value for equinox_ property
	 *
	 * @param newValue the new value for the property
	 */
	public void setEquinox(double equinox) {
		equinox_ = equinox;
		firePropertyChangeEvent();
	}

	/**
	 * Get value for equinox_ property
	 *
	 * @return the current value of the property
	 */
	public double getEquinox() {
		return equinox_;
	}  
	/**

	


    /**
     * Set new value for userComments_ property
     *
     * @param newValue the new value for the property
     */
    public void setUserComment(String newValue) {
        userComments_ = newValue;
        firePropertyChangeEvent();
    }

    /**
     * Get value for userComments_ property
     *
     * @return the current value of the property
     */
    public String getUserComment() {
        return userComments_;
    }

 
    /**
     * Generic hook for "visitor" Design Pattern.
     * See the BusinessVisitor interface for more details.
     * 
     * @param visitor	the class whose visit() method we wish to invoke.
     * 
     * @see BusinessVisitor
     */
    public Object accept(BusinessVisitor visitor, Object arg) {
        return null;
    }

	public void setMagnitude(String magnitude_) {
		this.magnitude_ = magnitude_;
	}

	public String getMagnitude() {
		return magnitude_;
	}

	public void setDiameter(String diameter_) {
		this.diameter_ = diameter_;
	}

	public String getDiameter() {
		return diameter_;
	}

	public void setItemName(String itemName_) {
			this.itemName_ = itemName_;
	}

	public String getItemName() {
		return itemName_;
	}

	public void setRunReferences(String runReferences_) {
		this.runReferences_ = runReferences_;
	}

	public String getRunReferences() {
		return runReferences_;
	}

	public void setReferenceStar(String refStar) {
		
		this.refStar_ = refStar;
		firePropertyChangeEvent();
	}
	
	
	public String getReferenceStar() {
		return refStar_;
	}

	/**
	 * @param i
	 */
	public void setTargetId(int i) {
		targetId_ = i;
		
	}
	/**
	 * @param i
	 */
	public int  getTargetId() {
		return targetId_;
		
	}

	public void setProgId(long progId_) {
		this.progId_ = progId_;
	}

	public long getProgId() {
		return progId_;
	}

	/**
	 * @param refStar
	 */
	public void addReferenceStar(String refStar) {
		
		
	}

	/* (non-Javadoc)
	 * @see org.eso.ohs.dfs.StorableObject#postProecess()
	 */
	public void postProecess() {
		
	}

	public void setTimeOnTarget(int timeOnTarget_) {
		this.timeOnTarget_ = timeOnTarget_;
	}

	public int getTimeOnTarget() {
		return timeOnTarget_;
	}

  


}
