package org.eso.ohs.persistence;


import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;

import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerConfigurationException;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;

import org.jdom.Document;
import org.jdom.input.SAXBuilder;
import org.jdom.output.Format;
import org.jdom.output.XMLOutputter;


/**
 * Class TestXSLT
 *
 *
 * @version $Revision: 1.4 $
 * @author pnunes, Feb 4, 2005
 */

// $Id: OBDifferenceXSLTransform.java,v 1.4 2005/03/30 11:53:56 tcanavan Exp $ 
public class OBDifferenceXSLTransform {
    
    private String stylesheetFile_;
              
    
    public OBDifferenceXSLTransform(String stylesheetFile) {        
        stylesheetFile_ = stylesheetFile;
    }
    
    public Document xmlFileToString( String fileName ) throws Exception  {
        SAXBuilder builder = new SAXBuilder();
        File xmlCase = new File(fileName);
        Document doc = builder.build(xmlCase);       
        
        return(doc);
    }
    
    public String docToString ( Document doc ) {
        XMLOutputter outputter = new XMLOutputter();
        Format format = Format.getPrettyFormat();
        outputter.setFormat(format);
        return(outputter.outputString(doc));
    }
   
    
    
    
    public String simpleTransformToString (String sourceString) 
		throws TransformerException, TransformerConfigurationException, FileNotFoundException, IOException {
    
        // Use the static TransformerFactory.newInstance() method to instantiate 
        // 	a TransformerFactory. The javax.xml.transform.TransformerFactory 
        // system property setting determines the actual class to instantiate --
        // org.apache.xalan.transformer.TransformerImpl.
    
        TransformerFactory tFactory = TransformerFactory.newInstance();

        // 	Use the TransformerFactory to instantiate a Transformer that will work with  
        // the stylesheet you specify. This method call also processes the stylesheet
        // into a compiled Templates object.

        Transformer transformer = tFactory.newTransformer(new StreamSource(stylesheetFile_));

        // Use the Transformer to apply the associated Templates object to an XML document
        StreamSource ss = new StreamSource(new ByteArrayInputStream( sourceString.getBytes()));
                
        StreamResult sr =  new StreamResult(  new ByteArrayOutputStream()  );
        
        // transform
        transformer.transform(ss, sr);
        
        // transform to a file for test purposes        
        //transformer.transform(ss, new StreamResult(new FileOutputStream(xsl_dir + "res.html")));        
        
        String ret = ((ByteArrayOutputStream)sr.getOutputStream()).toString();
        //String ret = "";
        
        return(ret);

    }

    
}





