package org.eso.ohs.persistence;

import java.io.File;
import java.io.InputStream;
import java.net.URL;

import org.apache.log4j.Logger;
import org.eso.ohs.core.utilities.OHSConfig;
import org.eso.ohs.core.utilities.ObjectIOException;
import org.eso.ohs.dfs.ObsProgramme;
import org.eso.ohs.dfs.ProposalFile;
import org.eso.ohs.persistence.dbase.phase1.Phase1SelectStmt;

/**
 * @author ddorigo
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class ProposalPrintableRetriever {

	private static final String CACHE_PROPOSAL_URL_KEY =
		"proposal.url.cacheProposal";
	private static Logger stdlog_ =
		Logger.getLogger(ProposalPrintableRetriever.class);

	private String urlProposalCache_ = "";

	public static final String PROG_ID = "programmeId";
	public static final String VERIFIER_ID = "summary_id";
	public ProposalPrintableRetriever() {
		OHSConfig config = OHSConfig.getInstance();
		urlProposalCache_ = config.getValue(CACHE_PROPOSAL_URL_KEY);
	

	}

	public ProposalFile getProposal(ObsProgramme prop, File currentDirectory)
		throws Exception {
		int numProposalOut =
			DBdataHelper.getInstance().readIntValue(
				Phase1SelectStmt.countProposalOutEntry(prop.getTableId()));
		if (numProposalOut == 0) {
			URL urlProposalOut =
				new URL(
					urlProposalCache_
						+ "?"
						+ ProposalPrintableRetriever.PROG_ID
						+ "="
						+ prop.getTableId());

			InputStream stream = urlProposalOut.openStream();

			// the length of a buffer can vary
			byte[] buf = new byte[2048];
			int tmpCounter = 0;
			int len = 0;
			while ((len = stream.read(buf, 0, 2048)) != -1) {
				String currentData = new String(buf);
				stdlog_.info(currentData);
			}
			stream.close();

		}
		numProposalOut =
			DBdataHelper.getInstance().readIntValue(
				Phase1SelectStmt.countProposalOutEntry(prop.getTableId()));
		File proposalFile = null;
		String format = "";
		ProposalFile proposal = null;
		if (numProposalOut != 1) {
			throw new ObjectIOException(
				"The proposal " + prop.getTableId() + "is not cached properly");
		} else {
		
			// retrieving the format (pdf or ps)
			format =
				DBdataHelper.getInstance().readString(
					Phase1SelectStmt.getProposalOutFormat(prop.getTableId()));
			proposal =
				new ProposalFile(
					currentDirectory.getAbsolutePath()
						+ File.separator
						+ prop.getProposalCode(),
			        prop,
					format);
			proposalFile = proposal.getFile();

			// retrieve the file
			DBdataHelper.getInstance().getBinaryFile(
				proposalFile,
				Phase1SelectStmt.getProposalOut(prop.getTableId()));
		}

		OHSConfig config = OHSConfig.getInstance();

		return proposal;
	}

}
