package org.eso.ohs.persistence.dbase.phase2;

/** 
 * This class is defines a the implementation for creation of
 * DBInstrumentList objects. 
 * 
 * @author Nick Kornweibel for ESO.
 */
 
import org.eso.ohs.instruments.InstrumentList;
import org.eso.ohs.instruments.InstrumentListFactory;
 
public class DBInstrumentListFactory implements InstrumentListFactory {
    
    private String ipCacheDir_ = null;
    private String instDir_ = null;
    private boolean ipMode_;


    private String dbUserName_ = null;
    private String dbPassword_ = null;
    
    /**
     * create a factory, specifying the cache directory to use..
     */
    public DBInstrumentListFactory(boolean ipMode,String instDir,String ipc,String dbUserName, String dbPassword) {
        ipCacheDir_ = ipc;
        instDir_ = instDir;
        ipMode_ = ipMode;
        dbUserName_ = dbUserName;
        dbPassword_ = dbPassword;
    }
    
    /**
     * @return an InstrumentList object.
     */
    public InstrumentList getInstrumentList() {
        return new DBInstrumentList(ipMode_,instDir_,ipCacheDir_,dbUserName_, dbPassword_);
    }
}