package org.eso.ohs.phase2.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.JOptionPane;

import org.eso.ohs.persistence.Config;
import org.eso.ohs.persistence.ObjectContainer;
import org.eso.ohs.phase2.readmestatushistory.ReadmeStatusHistoryBrowser;

/**
 * Action class to open an OB history browser
 * 
 * @author tcanavan
 * @version $Revision: 1.5 $
 */
public class ReadmeStatusHistoryAction extends AbstractAction {

    private long dbId = -1;

    private ObjectContainer objectContainer_ = null;

    public ReadmeStatusHistoryAction(ObjectContainer objectContainer) {
        super("Readme Status History");
        objectContainer_ = objectContainer;
    }

    /**
     * Constructor for OBHistoryAction.
     * 
     * @param comp
     * @param name
     */
    public ReadmeStatusHistoryAction(String name) {
        super(name);
    }

    /**
     * 
     * @see java.awt.event.ActionListener#actionPerformed(ActionEvent)
     */
    public void actionPerformed(ActionEvent arg0) {
        long obId = objectContainer_.getSelected().longValue();
        if (obId != -1) {
            dbId = Config.getCfg().uniqueToTableId(obId);
        } else {
            JOptionPane.showMessageDialog(objectContainer_
                    .getTopLevelAncestor(), new Object[] { "No OB Selected." },
                    "No OB Selected", JOptionPane.ERROR_MESSAGE);
            return;
        }

        ReadmeStatusHistoryBrowser dbWin = ReadmeStatusHistoryBrowser
                .getInstance((int) dbId);
        dbWin.show();
    }
}

