package org.eso.ohs.phase2.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.JOptionPane;
import javax.swing.JTable;

import org.apache.log4j.Logger;
import org.eso.ohs.core.gui.widgets.ErrorMessages;
import org.eso.ohs.core.utilities.ObjectIOException;
import org.eso.ohs.dfs.CalibrationBlock;
import org.eso.ohs.dfs.ObservingRun;
import org.eso.ohs.dfs.USDReadmeDatails;
import org.eso.ohs.persistence.Config;
import org.eso.ohs.persistence.Media;
import org.eso.ohs.persistence.OHSPersistence;
import org.eso.ohs.persistence.ObjectContainer;
import org.eso.ohs.persistence.ObjectManager;
import org.eso.ohs.persistence.ObjectNotFoundException;
import org.eso.ohs.persistence.dbase.phase2.USDFileDBIO;

public class USGEditAction extends AbstractAction {

    /** Standard log channel */
    private static Logger stdlog_ =
        Logger.getLogger(USGEditAction.class);




    private JTable table_;
    
    private ObjectContainer objectContainer_; 

    public USGEditAction(ObjectContainer objectContainer) {
        super("Edit User Support File");
        objectContainer_ = objectContainer;
    }

    /**Comments a set of OBs*/
    private void editUSGFile() {
        try {

            ObjectManager objMgr = ObjectManager.getObjectManager();
            Long idVal = objectContainer_.getSelected();
            if(idVal == null || idVal.longValue()==-1) {
                JOptionPane.showMessageDialog(
                                    objectContainer_.getTopLevelAncestor(),
                                    new Object[] { "No OB Selected." },
                                    "No OB Selected",
                                    JOptionPane.ERROR_MESSAGE);
                                return;         
            }
            Class objType = Config.getCfg().getClassFromId(idVal.longValue());                  
            CalibrationBlock cb  = (CalibrationBlock)objMgr.getBusObj(Media.PHASE2_DB,idVal.longValue(),objType);
            if(cb == null) {
                JOptionPane.showMessageDialog(
                                    objectContainer_.getTopLevelAncestor(),
                                    new Object[] { "No OB Selected." },
                                    "No OB Selected",
                                    JOptionPane.ERROR_MESSAGE);
                                return;         
            }
            OHSPersistence persistence = (OHSPersistence) OHSPersistence.getObjectManager();
            ObservingRun obsRun = cb.getObsRun();
            //ConnectionPool.getPool().getCon
            USDReadmeDatails usdDetails =  USDFileDBIO.read(obsRun.getId());
            if(usdDetails != null) {
                USDEditView usgEditView = USDEditView.getInstance();
                usgEditView.init(obsRun,usdDetails);

            }
           
        } catch (ObjectIOException ex) {
            ErrorMessages.announceIOError(table_, ex);
        } catch (ObjectNotFoundException ex) {
            ErrorMessages.announceNoObject(table_, ex);
        } 
    }


    /* (non-Javadoc)
     * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
     */
    public void actionPerformed(ActionEvent e) {
         editUSGFile();        
    }
}