package org.eso.ohs.phase2.apps.masktracker;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.net.MalformedURLException;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;
import java.sql.SQLException;
import java.util.ArrayList;

import javax.swing.AbstractAction;
import javax.swing.JButton;
import javax.swing.JMenuItem;
import javax.swing.JOptionPane;
import javax.swing.JPopupMenu;
import javax.swing.JTable;
import javax.swing.table.TableColumnModel;

import org.eso.ohs.core.dbb.client.DbaseDec;
import org.eso.ohs.core.dbb.client.DbaseRA;
import org.eso.ohs.core.dbb.client.DbbArrowButton;
import org.eso.ohs.core.dbb.client.DbbCheckBox;
import org.eso.ohs.core.dbb.client.DbbExecutionTime;
import org.eso.ohs.core.dbb.client.DbbPanel;
import org.eso.ohs.core.dbb.client.MoonDistance;
import org.eso.ohs.core.dbb.sql.DbbSqlChunk;
import org.eso.ohs.core.gui.widgets.ErrorMessages;
import org.eso.ohs.core.utilities.ObjectIOException;
import org.eso.ohs.dfs.Mask;
import org.eso.ohs.dfs.MaskQueue;
import org.eso.ohs.dfs.MaskStatusType;
import org.eso.ohs.dfs.Queue;
import org.eso.ohs.persistence.Config;
import org.eso.ohs.persistence.MaskEvent;
import org.eso.ohs.persistence.MaskStatusListener;
import org.eso.ohs.persistence.dbase.phase2.DbaseHandlerQueue;
import org.eso.ohs.persistence.dbase.phase2.MaskQueueManager;
import org.eso.ohs.persistence.dbase.phase2.QueueManager;
import org.eso.ohs.phase2.apps.ot.gui.OBTreeView;
import org.eso.ohs.phase2.apps.ot.gui.QueueItemsBView;

public abstract class DefaultMaskBrowser
    extends QueueItemsBView
    implements MaskStatusListener {

    private static final String MASK_ID = "Mask Id";

    private JButton markButton_;

    private MaskExecSequence maskExecSequence_;

    private MaskQueueView mkView_;

    /**
    * Default constructor
    *
    */
    public DefaultMaskBrowser(Queue newQueue, OBTreeView tree) {
        super(newQueue, tree);
    }

    public DefaultMaskBrowser(
        Queue newQueue,
        OBTreeView tree,
        MaskExecSequence bView,
        MaskQueueView mkView) {
        super(newQueue, tree, bView);
        maskExecSequence_ = bView;
        mkView_ = mkView;
        MaskQueueManager.addMaskListener(this);
    }

    public void removeOBs(long[] selectedOBIDs) {
        super.removeOBs(selectedOBIDs);
        ((MaskQueue) queue).removeExecQueueItems(selectedOBIDs);
        mkView_.reQueryView();
    }


    public void removeMaskListener() {
        MaskQueueManager.removeMaskStatusListener(this);
    }

    public void addDefaultColumns()
        throws
            NotBoundException,
            MalformedURLException,
            SQLException,
            RemoteException {

        String label_name;
        String column_name;

        DbbSqlChunk c;
        colPanel_ = new DbbPanel("Selected Columns", 7);
        // Type
		// Type 
        column_name = "type";
        label_name = "Type";
        engine_.addDefaultColumnsChunk(
				new DbbSqlChunk(ob_table, column_name, label_name));

			// Status 
        column_name = "status";
        label_name = "Status";
        engine_.addDefaultColumnsChunk(
				new DbbSqlChunk(ob_table, column_name, label_name));

        // OB Name 
        label_name = "OB Name";
        column_name = "item_name";
        engine_.addDefaultColumnsChunk(
            new DbbSqlChunk(ob_table, column_name, label_name));

        // c = new DbbSqlChunk(obsblk_masks_table, "ts_index", "Channel");
        //engine_.addDefaultColumnsChunk(c);

        //c = new DbbSqlChunk(obsblk_masks_table, "param_index", "PARAM");
        //engine_.addDefaultColumnsChunk(c);

        column_name = "mask_status";
        label_name = "Mask Status";
        engine_.addDefaultColumnsChunk(
            new DbbSqlChunk(
                masks_table,
                column_name,
                label_name,
                MaskStatusType.class));

        column_name = "mask_name";
        label_name = "Mask Name";
        engine_.addDefaultColumnsChunk(
            new DbbSqlChunk(masks_table, column_name, label_name));

        DbbSqlChunk def = new DbbSqlChunk(masks_table, "mask_naid", "Naid");
        engine_.addDefaultColumnsChunk(def);

        def = new DbbSqlChunk(masks_table, "bar_code", "Barcode");
        engine_.addDefaultColumnsChunk(def);

        def = new DbbSqlChunk(masks_table, "mask_slot_num", "Slot Num");
        engine_.addDefaultColumnsChunk(def);

        def = new DbbSqlChunk(obsblk_masks_table, "adp_index", "Channel");
        engine_.addDefaultColumnsChunk(def);

        // ProgID
        label_name = "ProgID";
        column_name = "progid";
        engine_.addDefaultColumnsChunk(
            new DbbSqlChunk(sr_table, column_name, label_name, String.class));

        // PI (surname) 
        label_name = "PI";
        column_name = "surname_dl";
        engine_.addDefaultColumnsChunk(
            new DbbSqlChunk(eu_table, column_name, label_name));

        // RA 
        label_name = "RA";
        column_name = "ra";
        engine_.addDefaultColumnsChunk(
            new DbbSqlChunk(tp_table, column_name, label_name, DbaseRA.class));

        // Dec 
        label_name = "Dec";
        column_name = "dec";
        engine_.addDefaultColumnsChunk(
            new DbbSqlChunk(tp_table, column_name, label_name, DbaseDec.class));

        column_name = "mask_id";
        label_name = "Mask Id";
        engine_.addDefaultColumnsChunk(
            new DbbSqlChunk(masks_table, column_name, label_name));

        // Target

        label_name = "Target";
        column_name = "item_name";
        c = new DbbSqlChunk(tp_table, column_name, label_name);
        DbbCheckBox w = new DbbCheckBox(label_name, c);
        colPanel_.addWidget(w);

        // Instrument widget
        label_name = "Instrument";
        column_name = "instrument";
        c = new DbbSqlChunk(od_table, column_name, label_name);
        w = new DbbCheckBox(label_name, c);
        colPanel_.addWidget(w);

        // User's priority
        label_name = "UsrP";
        column_name = "userPriority";
        c = new DbbSqlChunk(ob_table, column_name, label_name);
        w = new DbbCheckBox(label_name, c);
        colPanel_.addWidget(w);

        // Template widget
        label_name = "Templ";
        column_name = "item_name";
        c = new DbbSqlChunk(ts_table, column_name, label_name);
        w = new DbbCheckBox(label_name, c);
        colPanel_.addWidget(w);

        // Seeing
        label_name = "Seeing";
        column_name = "seeing";
        colPanel_.addWidget(
            new DbbCheckBox(
                label_name,
                new DbbSqlChunk(cs_table, column_name, label_name)));

        // Sky Tran
        label_name = "SkyTran";
        column_name = "sky_transparency";
        colPanel_.addWidget(
            new DbbCheckBox(
                label_name,
                new DbbSqlChunk(cs_table, column_name, label_name)));

        // Airmass
        label_name = "Airmass";
        column_name = "airmass";
        colPanel_.addWidget(
            new DbbCheckBox(
                label_name,
                new DbbSqlChunk(cs_table, column_name, label_name)));

        // FLI
        label_name = "FLI";
        column_name = "fli";
        colPanel_.addWidget(
            new DbbCheckBox(
                label_name,
                new DbbSqlChunk(cs_table, column_name, label_name)));

        // MoonDis
        label_name = "MoonDis";
        column_name = "moon_distance";
        colPanel_.addWidget(
            new DbbCheckBox(
                label_name,
                new DbbSqlChunk(
                    cs_table,
                    column_name,
                    label_name,
                    MoonDistance.class)));

        label_name = "ExecTime";
        column_name = "execution_time";
        colPanel_.addWidget(
            new DbbCheckBox(
                label_name,
                new DbbSqlChunk(
                    ob_table,
                    column_name,
                    label_name,
                    DbbExecutionTime.class)));

        // Rank class
        label_name = "RankClass";
        column_name = "rank_class";
        c = new DbbSqlChunk(sr_table, column_name, label_name);
        w = new DbbCheckBox(label_name, c);
        colPanel_.addWidget(w);

        //QCGrade 
        label_name = "QC Grade";
        column_name = "obs_grade";
        colPanel_.addWidget(
            new DbbCheckBox(
                label_name,
                new DbbSqlChunk(ob_table, column_name, label_name)));

        view_.setColumnsPanel(colPanel_, "North");

    }

    public void buildToolBar() {
        super.buildToolBar();
        markButton_ = toolBar_.add(new MarkMaskStatusAction());
        MouseListener popupListener = new PopupListener();
        markButton_.addMouseListener(popupListener);

    }

    public void setEnabled(boolean enabled) {
        super.setEnabled(enabled);
        markButton_.setEnabled(enabled);
    }

    /**
     * Return a list of selected Mask Ids.
     * 
     * @see org.eso.ohs.phase2.apps.masktracker.MaskTableSelection#getSelectedMaskIds()
     */
    public Long[] getSelectedMaskIds() {
        int[] rows = view_.getSelectedRows();
        ArrayList longVec = new ArrayList();
        int length = rows.length;
        JTable tbl = view_.getTable().getTable();
        TableColumnModel colModel = tbl.getColumnModel();
        int index = colModel.getColumnIndex(MASK_ID);
        for (int i = 0; i < length; i++) {
            longVec.add(new Long(view_.getValueAt(rows[i], index).toString()));
        }
        Long[] maskIdArray = new Long[longVec.size()];
        for (int i = 0; i < maskIdArray.length; i++) {
            long temp = ((Long) longVec.get(i)).longValue();
            maskIdArray[i] =
                new Long(Config.getCfg().tableToUniqueId(temp, Mask.class));
        }
        return maskIdArray;
    }

    public void buildSort() {
        DbbPanel panel = new DbbPanel("Sorting Criteria", 0);
        DbbSqlChunk c;
        DbbArrowButton w;
        String column_name;
        String label_name;

        //sequence
        label_name = "sequence";
        column_name = "sequence";

        c = new DbbSqlChunk(si_table, column_name, label_name);
        seqWidget = new DbbArrowButton(label_name, c, 1);
        panel.addWidget(seqWidget);
        seqWidget.actionPerformed(new ActionEvent(this, 0, null));

        //OB ID
        label_name = "OB ID";
        column_name = "ob_id";

        c = new DbbSqlChunk(ob_table, column_name, label_name);
        w = new DbbArrowButton(label_name, c);
        panel.addWidget(w);

        // OB NAME
        label_name = "OB Name";
        column_name = "item_name";
        c = new DbbSqlChunk(ob_table, column_name, label_name);
        w = new DbbArrowButton(label_name, c);
        panel.addWidget(w);

        column_name = "mask_status";
        label_name = "Mask Status";
        c = new DbbSqlChunk(masks_table, column_name, label_name);
        w = new DbbArrowButton(label_name, c);
        panel.addWidget(w);

        column_name = "mask_name";
        label_name = "Mask Name";
        c = new DbbSqlChunk(masks_table, column_name, label_name);
        w = new DbbArrowButton(label_name, c);
        panel.addWidget(w);

        column_name = "mask_slot_num";
        label_name = "Slot Num";
        c = new DbbSqlChunk(masks_table, column_name, label_name);
        w = new DbbArrowButton(label_name, c);
        panel.addWidget(w);

        column_name = "adp_index";
        label_name = "Channel";
        c = new DbbSqlChunk(obsblk_masks_table, column_name, label_name);
        w = new DbbArrowButton(label_name, c);
        panel.addWidget(w);

        //////////////////////////    

        label_name = "ProgID";
        column_name = "progid";

        c = new DbbSqlChunk(sr_table, column_name, label_name);

        w = new DbbArrowButton(label_name, c);
        panel.addWidget(w);

        //RA 
        label_name = "RA";
        column_name = "ra";

        c = new DbbSqlChunk(tp_table, column_name, label_name);
        w = new DbbArrowButton(label_name, c);
        panel.addWidget(w);

        //DEC
        label_name = "Dec";
        column_name = "dec";

        c = new DbbSqlChunk(tp_table, column_name, label_name);
        w = new DbbArrowButton(label_name, c);
        panel.addWidget(w);

        //seeing
        label_name = "Seeing";
        column_name = "seeing";

        c = new DbbSqlChunk(cs_table, column_name, label_name);
        w = new DbbArrowButton(label_name, c);
        panel.addWidget(w);

        //Airmass
        label_name = "Airmass";
        column_name = "airmass";

        c = new DbbSqlChunk(cs_table, column_name, label_name);
        w = new DbbArrowButton(label_name, c);
        panel.addWidget(w);

        //FLI
        label_name = "FLI";
        column_name = "fli";

        c = new DbbSqlChunk(cs_table, column_name, label_name);
        w = new DbbArrowButton(label_name, c);
        panel.addWidget(w);

        //Moon Distance
        label_name = "MoonDis";
        column_name = "moon_distance";

        c = new DbbSqlChunk(cs_table, column_name, label_name);
        w = new DbbArrowButton(label_name, c);
        panel.addWidget(w);

        //Sky Trans
        label_name = "SkyTran";
        column_name = "sky_transparency";

        c = new DbbSqlChunk(cs_table, column_name, label_name);
        w = new DbbArrowButton(label_name, c);
        panel.addWidget(w);

        //RankClass
        label_name = "RankClass";
        column_name = "rank_class";
        c = new DbbSqlChunk(sr_table, column_name, label_name);
        w = new DbbArrowButton(label_name, c);
        panel.addWidget(w);

        // Execution Time
        // cmavros added 10/Sept/2001
        label_name = "ExecTime";
        column_name = "execution_time";
        c = new DbbSqlChunk(ob_table, column_name, label_name);
        w = new DbbArrowButton(label_name, c);
        panel.addWidget(w);

        // Rank class
        label_name = "RankClass";
        column_name = "rank_class";
        c = new DbbSqlChunk(sr_table, column_name, label_name);
        w = new DbbArrowButton(label_name, c);
        panel.addWidget(w);

        view_.setSortPanel(panel, "West");
        view_.setSortPanel(panel, "West", true);
    }

    public void buildColumns()
        throws
            NotBoundException,
            MalformedURLException,
            SQLException,
            RemoteException {

        // collect the default SQLChunks from super.
        String label_name;
        String column_name;
        label_name = "QueueID";
        column_name = "sch_id";
        engine_.addDefaultColumnsChunk(
            new DbbSqlChunk(si_table, column_name, label_name));

        label_name = "OB ID";
        column_name = "ob_id";
        engine_.addDefaultColumnsChunk(
            new DbbSqlChunk(si_table, column_name, label_name));

        addDefaultColumns();
    }

    public void maskPropertyChange(MaskEvent ev) {
        if (isOutOfOrder()) {
            try {
                QueueManager.updateOBsSequences(
                    queue.getAllUniqueOBIds(),
                    queue.getId(),
                    DbaseHandlerQueue.TMP_SCHEDULE_ITEMS);
                setOrderDirtyFlag(false);
            } catch (ObjectIOException e) {
                String message = "Error: " + e.getMessage();
                JOptionPane.showMessageDialog(
                    null,
                    message,
                    "ERROR",
                    JOptionPane.ERROR_MESSAGE);
                //stdlog_.error(e);
            }

        }
        startQuery();
    }

    /** This class is uesd to bring up a popup menu 
       *  PopupMenu should be displayed when the rigth mouse
       *  button is pressed. In this case we determine the
       *  coordinates of the click to see if its occurs or not 
       *  on a tree node or leaf
       */
    public class PopupListener extends MouseAdapter {
        JPopupMenu popup;

        public void mousePressed(MouseEvent e) {
            //if (e.isPopupTrigger())
            if (!markButton_.isEnabled())
                return;
            if (e.getID() == MouseEvent.MOUSE_PRESSED) {
                createPopupMenu();
                popup.show(e.getComponent(), e.getX(), e.getY());
            }
        }

        private void createPopupMenu() {

            popup = new JPopupMenu();
            String[] displayed = Mask.getEditableMaskDisplayStatuses();
            for (int i = 0; i < displayed.length; i++) {
                final int j = i;
                final String s = displayed[i];
                // Do not allow changes of mask status to no mask.
                // from within queue or database values.      
                JMenuItem crrItem = new JMenuItem(displayed[i]);
                popup.add(crrItem);
                crrItem.addActionListener(new ActionListener() {
                    public void actionPerformed(ActionEvent e) {

                        final int option =
                            JOptionPane.showConfirmDialog(
                                DefaultMaskBrowser.this,
                                new Object[] {
                                    "Are you sure you want to change ",
                                    " status for mask(s) to " + s },
                                "Change mask status ?",
                                JOptionPane.OK_CANCEL_OPTION);
                        switch (option) {
                            case JOptionPane.CLOSED_OPTION :
                                return;
                            case JOptionPane.CANCEL_OPTION :
                                return;
                        }
                        markStatus(j);
                        //queue.setUpdate(true);
                    }
                });
            }
        }
    }

    /**Returns  the ID of an OB of a specific row*/
    public long getMaskId(int row) {
        JTable tbl = view_.getTable().getTable();
        TableColumnModel colModel = tbl.getColumnModel();
        int index = colModel.getColumnIndex(MASK_ID);
        Long value = new Long((String) view_.getValueAt(row, index));
        return Config.getCfg().tableToUniqueId(value.longValue(), Mask.class);
    }

    public void markStatus(int i) {
        Long[] maskIds = getSelectedMaskIds();
        String[] updateStrings = Mask.getEditableMaskStatuses();
        try {
            for (int j = 0; j < maskIds.length; j++) {
                QueueManager.updateMaskStatus(
                    maskIds[j].longValue(),
                    updateStrings[i]);
            }

        } catch (ObjectIOException e) {
            ErrorMessages.announceIOError(null, e);
        }
        MaskQueueManager.fireMaskPropertyChange(
            new MaskEvent("MaskStatus", updateStrings[i]));
    }

    public class MarkMaskStatusAction extends AbstractAction {

        public MarkMaskStatusAction() {
            super("Mask Status");
        }

        public void actionPerformed(ActionEvent ev) {

        }

    }

}
