package org.eso.ohs.phase2.apps.masktracker;

import java.util.Vector;

import org.eso.ohs.dfs.BusinessObject;
import org.eso.ohs.dfs.MaskQueue;
import org.eso.ohs.phase2.apps.ot.gui.OTViewManager;
import org.eso.ohs.phase2.apps.ot.gui.QueueView;
/**
 * @author tcanavan
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class MTViewManager extends OTViewManager {
    
    
    //a reference to a singleton OTViewManager instance 
     private static MTViewManager mtViewMgr = new MTViewManager();

     /**Default constructor*/
     protected MTViewManager() {
         
     }
     
     public static MTViewManager getInstance() {
          return mtViewMgr;
     }
     
     
     public void showObject(BusinessObject busObj, Class c) {
             MaskQueueView queueView = new MaskQueueView((MaskQueue) busObj);
             addQueueView(queueView);
             queueView.setMaskListenerType();
             ((MaskQueue) busObj).setUpdate(false);
     }
     
    /**
        *Retruns the QueueViewManager that manage a specific queue
        *@param queueId the id of the Queue
        *@return the QueueViewManager of a specific queue
        *        null is retruned if the queue is not managed by 
        *        any QueueViewManager 
        */
       public QueueView getQueueView(long queueId) {
           Vector queueViewMgrVector = getQueueViews();
           for (int i = 0; i < queueViewMgrVector.size(); i++) {
               MaskQueueView mgr = (MaskQueueView) queueViewMgrVector.elementAt(i);
               //       stdlog_.debug(mgr.getQueue().getId());
               if (mgr.getQueue().getId() == queueId) {
                   return mgr;
               }
           }
           return null;
       }
}
