package org.eso.ohs.phase2.apps.ot.actions;

import java.awt.event.ActionEvent;

import javax.swing.JOptionPane;

import org.eso.ohs.core.gui.baseaction.ActionSuperclass;
import org.eso.ohs.core.utilities.ObjectIOException;
import org.eso.ohs.dfs.BusinessObject;
import org.eso.ohs.persistence.Media;
import org.eso.ohs.phase2.apps.ot.Persistence;
import org.eso.ohs.phase2.apps.ot.gui.OTMainView;
import org.eso.ohs.phase2.apps.ot.gui.OTViewManager;

/**
 * Action class to create a subdirectory of the selected directory.
 *
 * <p>
 * $Id: NewQueueAction.java,v 1.7 2005/02/11 10:31:49 tcanavan Exp $
 * <br>
 * Author: Tim Canavan
 */
public class NewQueueAction extends ActionSuperclass {

    OTMainView otMainView_;

    public NewQueueAction(OTMainView view, String name) {
        super(view, name);
        otMainView_ = view;
    }

    public void actionPerformedImpl(ActionEvent ev) {
        Class c = otMainView_.getDisplayedObjectClass();
        try {
            Persistence objMgr = Persistence.getInstance();
            BusinessObject busObj =
                objMgr.createAndRegister(
                    Media.DBASE,
                    objMgr.getRoot(Media.DBASE),
                    c);
            OTViewManager otViewMgr = OTViewManager.getOTViewMgr();
            busObj.setIsNew(true);
            otViewMgr.showObject(busObj, c);
        } catch (ObjectIOException e) {
            JOptionPane.showMessageDialog(
                otMainView_,
                "An error occured while registering the queue",
                "Error",
                JOptionPane.WARNING_MESSAGE);
            e.printStackTrace();
        }
    }
}
