package org.eso.ohs.phase2.apps.ot.icdVcs;

import org.eso.ohs.phase2.icdVcs.BOB;
import org.eso.vlt.base.Ccs.CcsException;


/**BOB
 * OHS side of the interface to the VLT groups "BOB" program.
 * BOB stands for something like "Broker of Observation Blocks".
 * 
 * <p>
 * Note that this class actually interfaces with BOB using code from
 * the VLT group provided in package org.eso.vlt.base.Ccs.  We do not
 * communicate directly with BOB.
 * 
 * @version $Revision: 1.3 $
 * @author Bob Kemp
 */
public class OTBOB extends BOB {

    private static final String rcsid = "$Id: OTBOB.java,v 1.3 2003/07/03 08:49:49 ddorigo Exp $";

    /**
     * Default constructor.
     * 
     * @exception CcsException
     *			if Ccs initialisation failed.
     */
    public OTBOB() throws CcsException {
	super();
    }

    protected void createListeners() throws CcsException {
	// @author amchavan, 05-Apr-2002: commented out
	// Log log = new Log("OB Execution log");
	ScriptListener scriptLnr = new ScriptListener();
	EventListener eventLnr  = new EventListener( scriptLnr );

	scriptBroadcaster_.addScriptCmdListener(scriptLnr);
	eventBroadcaster_.addEventCmdListener(eventLnr);
    }

}


