<?xml version='1.0' encoding='utf-8' ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"/>

	<xsl:template match="/">
		    <xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="UI">
		<xsl:element name="UI">
		    <xsl:element name="class">
                <xsl:value-of select="class"/>
		    </xsl:element>
		    <xsl:apply-templates/>
	        <!-- Make sure layout defaults are set -->
		    <xsl:element name="layoutdefaults">
                <xsl:attribute name="spacing">6</xsl:attribute>
                <xsl:attribute name="margin">11</xsl:attribute>
            </xsl:element>
		</xsl:element>
	</xsl:template>



    <!-- do nothing for element class -->
	<xsl:template match="class"/>
	<!-- Skip name elements, are part of property now-->
	<xsl:template match="name"/>

	<!-- Copy class element as attribute -->
	<xsl:template match="widget">
		<xsl:element name="widget">
            <xsl:attribute name="class">
                <xsl:value-of select="class"/>
            </xsl:attribute>
            <xsl:for-each select="@*">
                <xsl:attribute name="{name()}">
                    <xsl:value-of select="."/>
                </xsl:attribute>
            </xsl:for-each>
		    <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<!-- Copy name element as attribute -->
	<xsl:template match="property">
		<xsl:element name="property">
			<xsl:attribute name="name">
				<xsl:value-of select="name"/>
			</xsl:attribute>
		    <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<!-- Copy name element as attribute -->
	<xsl:template match="attribute">
		<xsl:element name="attribute">
			<xsl:attribute name="name">
				<xsl:value-of select="name"/>
			</xsl:attribute>
		    <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>

    <!-- just copy the following elements. nothing has changed between versions -->
	<xsl:template match="spacer">
		<xsl:element name="spacer">
            <xsl:for-each select="@*">
                <xsl:attribute name="{name()}">
                    <xsl:value-of select="."/>
                </xsl:attribute>
            </xsl:for-each>
		    <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="hbox">
		<xsl:element name="hbox">
		    <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="vbox">
		<xsl:element name="vbox">
		    <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="string">
		<xsl:element name="string">
		    <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="cstring">
		<xsl:element name="cstring">
		    <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="enum">
		<xsl:element name="enum">
		    <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="size">
		<xsl:element name="size">
		    <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="width">
		<xsl:element name="width">
		    <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="height">
		<xsl:element name="height">
		    <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="rect">
		<xsl:element name="rect">
		    <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="x">
		<xsl:element name="x">
		    <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="y">
		<xsl:element name="y">
		    <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="width">
		<xsl:element name="width">
		    <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="height">
		<xsl:element name="height">
		    <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="number">
		<xsl:element name="number">
		    <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="item">
		<xsl:element name="item">
		    <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="grid">
		<xsl:element name="grid">
		    <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="column">
		<xsl:element name="column">
		    <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="bool">
		<xsl:element name="bool">
		    <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="set">
		<xsl:element name="set">
		    <xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
